
Application: gvSIG desktop - gvSIG bugs #3030
Error Tabla de Atributos con Capas sin Primary Key
11/26/2014 06:43 AM - Angel Luis Montaño

Status: Outdated % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Description

Visualizando una capa de Oracle Locator, cuando se intenta seleccionar un elmento en la herramienta de Tabla de Atributos, se
produce una Excepción en el caso de que la tabla no tenga Primary Key definida en Oracle.

El proceso seguido es:
- Crer una conexión a BBDD Oracle.
- Seleccionar una capa
- Selecciono ObjectID como CampoID (es un campo NOT NULL y UNIQUE pero no PRIMARY KEY)
- Selecciono Shape como campo geométric

Una vez cargada la capa la selecciono en la leyenda y selecciono en el menú Capa la herramienta Mostrar Tabla de Atributos
Selecciono una fila de la Tabla y aparece la excepción.

Se adjunta captura de pantalla.
Nota: en una BBDD de pruebas hemos definido sobre ObjectID la restricción de Primary Key y el funcionamiento ha sido correcto,
pero esta solución no es posible trasladarla a la BBDD de producción

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4218: Oracle driver is n... Outdated 05/23/2016

History
#1 - 11/26/2014 06:51 AM - Álvaro Anguix

Hola,

Veo que indicas que te ocurre sobre la versión 2.0. ¿Has probado si te ocurre con alguno de los últimos builds de la versión 2.1?

En cualquier caso, para poder identificar el error necesitariamos que adjuntes el archivo "gvsig.log" que se encuentra en la carpeta "gvSIG" del home
de usuario.

Saludos

#2 - 11/26/2014 07:12 AM - Angel Luis Montaño
- File acceso  BBDD octubre 2014-4  error ABRIR TABLAS.png added
- File GvSIG.log added
Adjunto captura de pantalla con error en 2.1.
Adjunto fichero de log (de mi ejecución en 2.0)

#3 - 12/10/2014 12:20 PM - Álvaro Anguix
- Category changed from Application to Database

#4 - 06/08/2017 01:07 PM - Álvaro Anguix
- Related to gvSIG bugs #4218: Oracle driver is not working in gvSIG 2.2 and 2.3 added

#5 - 03/04/2020 01:04 PM - Álvaro Anguix
- Status changed from New to Outdated

Files
error gvsig.png 71.7 KB 11/26/2014 Angel Luis Montaño
GvSIG.log 341 KB 11/26/2014 Angel Luis Montaño
acceso  BBDD octubre 2014-4  error ABRIR TABLAS.png 103 KB 11/26/2014 Angel Luis Montaño
